Class LightweightSectionBuilder
Inheritance
System.Object
System.MarshalByRefObject
LightweightSectionBuilder
Implements
System.Runtime.Remoting.Messaging.IMessageSink
Inherited Members
System.MarshalByRefObject.CreateObjRef(System.Type)
System.MarshalByRefObject.GetLifetimeService()
System.MarshalByRefObject.InitializeLifetimeService()
System.MarshalByRefObject.MemberwiseClone(System.Boolean)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
Assembly: NXOpen.dll
Syntax
public class LightweightSectionBuilder : DynamicSectionBuilder, IMessageSink, IComponentBuilder
Constructors
LightweightSectionBuilder()
Declaration
protected LightweightSectionBuilder()
Properties
AssemblyCrosshatching
Declaration
[Obsolete("Deprecated in NX2007.0.0. Use <ja_property>NXOpen.LightweightSectionBuilder.Settings.View.AssemblyCrosshatching</ja_property> instead.")]
public bool AssemblyCrosshatching { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
BoundingBoxComponents
Declaration
public SelectDisplayableObjectList BoundingBoxComponents { get; }
Property Value
ClipCoplanarObjects
Declaration
public bool ClipCoplanarObjects { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
ClipWireframeObjects
Declaration
public bool ClipWireframeObjects { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
CrosshatchSettings
Declaration
[Obsolete("Deprecated in NX2007.0.0. Use <ja_property>NXOpen.LightweightSectionBuilder.Settings.Crosshatch</ja_property> instead.")]
public HatchFillSettingsBuilder CrosshatchSettings { get; }
Property Value
CuttingPlaneSymbol
Declaration
[Obsolete("Deprecated in NX2007.0.0. Use <ja_property>NXOpen.LightweightSectionBuilder.Settings.CuttingPlaneSymbol</ja_property> instead.")]
public CuttingPlaneSymbolBuilder CuttingPlaneSymbol { get; }
Property Value
DisplayCrosshatch
Declaration
[Obsolete("Deprecated in NX2007.0.0. Use <ja_property>NXOpen.LightweightSectionBuilder.Settings.View.DisplayCrosshatch</ja_property> instead.")]
public bool DisplayCrosshatch { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
ObjectsToSection
Declaration
public SelectDisplayableObjectList ObjectsToSection { get; }
Property Value
PatternDefinedBy
Declaration
[Obsolete("Deprecated in NX2007.0.0. Use <ja_property>NXOpen.LightweightSectionBuilder.Settings.View.CrosshatchPatternDefinedBy</ja_property> instead.")]
public int PatternDefinedBy { get; set; }
Property Value
Type |
Description |
System.Int32 |
|
RestrictCrosshatch
Declaration
[Obsolete("Deprecated in NX2007.0.0. Use <ja_property>NXOpen.LightweightSectionBuilder.Settings.View.RestrictCrosshatchAngle</ja_property> instead.")]
public bool RestrictCrosshatch { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
SaveAssociativeCurves
Declaration
public bool SaveAssociativeCurves { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
Settings
Declaration
public PmiSectionViewSettingsBuilder Settings { get; }
Property Value
ToleranceCrosshatch
Declaration
[Obsolete("Deprecated in NX2007.0.0. Use <ja_property>NXOpen.LightweightSectionBuilder.Settings.View.CrosshatchAdjacencyTolerance</ja_property> instead.")]
public double ToleranceCrosshatch { get; set; }
Property Value
Type |
Description |
System.Double |
|
ViewName
Declaration
public string ViewName { get; set; }
Property Value
Type |
Description |
System.String |
|
Methods
GetSectionCurves(out Curve[])
Declaration
public void GetSectionCurves(out Curve[] curves)
Parameters
Type |
Name |
Description |
Curve[] |
curves |
|
Implements
System.Runtime.Remoting.Messaging.IMessageSink